/*
 *  swimacsimsecurity.h
 *  swimac
 *
 *  Created by Mark de Jong on 6/10/09.
 *  Copyright 2009 Sierra Wireless, Inc. All rights reserved.
 *
 */

#ifdef __cplusplus
extern "C"	{
#endif
	
#import "swimacrcodes.h"
#import "swimacdatatypes.h"
#import "swimacstructs.h"



//////////////////////////////////////////////////////////////////////////////////
//
// Name:        SwiGetSIMLockEnabledStatus 
//
// Purpose:     Returns the SIM lock status
//
// Parameters:  simLockEnableStatus[OUT]  pointer to byte to contain the SIM lock
//                  status.
//              timeout[IN]               API timeout
//
// Return:      See SwiRcodes.h
//
//////////////////////////////////////////////////////////////////////////////////
SWI_RCODE SwiGetSIMLockEnabledStatus( SWI_U8 *simLockEnableStatus, SWI_U32 timeout );

//////////////////////////////////////////////////////////////////////////////////
//
// Name:        SwiSetSIMLockEnabledStatus 
//
// Purpose:     Returns the SIM lock status
//
// Parameters:  simLockEnableStatus[IN|OUT]  pointer to byte to contain the SIM
//                  lock status.
//                  On entry, it contains the requested lock status.
//                  On exit, it contains the returned lock status.
//              chv1Code[IN]                 NULL-terminated string containing the
//                  chv1 security code. (must be 4 - 8 characters long)
//              timeout[IN]                  API timeout
//
// Return:      See SwiRcodes.h
//
//////////////////////////////////////////////////////////////////////////////////
SWI_RCODE SwiSetSIMLockEnabledStatus( SWI_U8 *simLockEnableStatus, const SWI_U8 *chvCode, SWI_U32 timeout );

	
	
#pragma mark -
#pragma mark Internal/Private Stuff 
/****************************************************************************************************/
//SwiSetSIMVerifyExp//		Method:		CNSSetSIMVerifyExp
//
//		Inputs:		none
//
//		Outputs:	return code - SWI_RCODE
//
//		Desc:		Send a CnS Set CNS_SIM_VERIFY_EXP
//
/****************************************************************************************************/
	SWI_RCODE SwiSetSIMVerifyExp( SWI_U16 *chvType ,const SWI_U8 *chvPin, const SWI_U8 *chvPuk, SWI_U32 timeout );
	
/****************************************************************************************************/
//
//		Method:		CNSSetSIMChangeyExp
//
//		Inputs:		none
//
//		Outputs:	return code - SWI_RCODE
//
//		Desc:		Send a CnS Set CNS_CHV_CHG_EXP
//
/****************************************************************************************************/
SWI_RCODE SwiSetSIMChangeExp( SWI_U16 *chvType, const SWI_U8 *chvCode, const SWI_U8 *newPinStr,SWI_U32 timeout );
	
/****************************************************************************************************/
//
//		Method:		SwiSetSIMMEPUnlock
//
//		Inputs:		none
//
//		Outputs:	return code - SWI_RCODE
//
//		Desc:		Send a CnS Set CNS_MEP_UNLOCK
//
/****************************************************************************************************/
SWI_RCODE SwiSetSIMMEPUnlock( const SWI_U8 * MEPCode, SWI_U32 timeout );
	
	
	
	
	
#ifdef __cplusplus
}
#endif
